/*
 * Copyright (C) 2014 Alina Trifan and António Neves
 * mailto: alina.trifan@ua.pt -- an@ua.pt 
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef SRC_VISION_SOCKETSTATE_H_
#define SRC_VISION_SOCKETSTATE_H_

#include <ostream>

enum SocketState {
    OPEN = 0,
    BOUNDED = 1,
    LISTENING = 2,
    CONNECTED = 3,
    CLOSED = 4,
    UNKNOWN_ = 5
};

std::ostream &operator<<(std::ostream &out, const SocketState state);

#endif  // SRC_VISION_SOCKETSTATE_H_
